Bug 12557 - gse_krb5 doesn't trigger a possible fallback to NTLMSSP via spnego
gse_krb5 doesn't trigger a possible fallback to NTLMSSP via spnego
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
4.6.0rc4
All All
: P5 regression
: 4.6
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-02 15:15 UTC by Stefan Metzmacher
Modified: 2017-03-08 22:11 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.6 (6.71 KB, patch)
2017-03-02 12:46 UTC, Andreas Schneider
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-02-02 15:15:12 UTC
gse_krb5 doesn't trigger a possible fallback to NTLMSSP via spnego
Comment 1 Andreas Schneider 2017-03-01 12:35:41 UTC
Can be reproduced with https://git.samba.org/?p=asn/samba.git;a=shortlog;h=refs/heads/master-trusts

make -j test TESTS="samba4.blackbox.kinit_trust.fl2003"
Comment 2 Andreas Schneider 2017-03-02 12:46:48 UTC
Created attachment 13003 [details]
patch for 4.6
Comment 3 Andreas Schneider 2017-03-02 15:38:13 UTC
Karolin, please add the patch to the next release candidate. Thanks!
Comment 4 Karolin Seeger 2017-03-06 07:32:06 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-6-test.